WordPress.org

Plugin Directory

Time Machine

Time Machine widget list articles published in past, relative to current date for specified offset of time, including all years of blogging (Ok, at le

0.4.1 (2014-12-20)

  • Improve: multi instance widget
  • Improve: rewritten to OOP and optimized code
  • Add: rel="nofollow" to post links, to prevent reindexing old posts and and affect page rank
  • Add: uninstall procedure to remove widget settings
  • Test on WordPress 4.1

0.0.6 (2011-04-02)

  • Fixed timezone bug. Now Time Machine instead of GMT use WordPres timezone for time offset calculations.

0.0.5.5svn (2009-08-03)

  • Added option to display excerpt, with feature to short and insert XHTML code before and after excerpt
  • Added date offset (+/- N hours/days/weeks/months)
  • Added offset type (before to current date, before to after current date, current date to after)

0.0.5.4 (2009-07-13)

  • fixed bug for feature added in 0.0.5.3 (reported by Rarst)
  • Added Belorussian language (submited by Marcis Gasuns)

0.0.5.3 (2009-07-12)

  • Added option do hide widget if there is no posts in past (sugessted by Rarst)
  • Added Simplified Chinese language (submited by Leslie Yeh)
  • Updated Serbian and Italian language
  • Fixed post links if blog is not in root with permalink (thanks Leslie)

0.0.5.2 (2009-06-19)

  • Added Italian localisation (submited by Caporale Reyes)

0.0.5.1 (2009-03-08)

  • Fixed broken 0.0.5 ('Number of posts' above links)

0.0.5 (2009-03-08)

  • compare GMT date, not local date on host
  • added description to displayed number of comments

0.0.4 (2009-02-28)

  • Added option to display number of comments

0.0.3 (2009-02-14)

  • Fixed links to articles when is active non-Home pages
  • Added option to exclude WordPress Pages from listing
  • Added option to exclude articles published in current year from listing
  • Updated Serbian translation

0.0.2 (2009-02-14)

  • Fixed SQL query to work as expected
  • Added option to display password protected posts in list

0.0.1 (2009-02-13)

  • Initial release

Requires: 3.9 or higher
Compatible up to: 4.1.5
Last Updated: 2014-12-20
Active Installs: 100+

Ratings

5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,3,3
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1